Bug 863983 - Review Request: ninja-ide - Ninja IDE for Python development
Review Request: ninja-ide - Ninja IDE for Python development
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 05:00 EDT by Nikos Roussos
Modified: 2012-10-31 09:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 09:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Ninja IDE manpages (443 bytes, application/x-gzip)
2012-10-08 15:31 EDT, Eduardo Echeverria
no flags Details

  None (edit)
Description Nikos Roussos 2012-10-08 05:00:00 EDT
Spec URL: http://comzeradd.fedorapeople.org/ninja-ide.spec
SRPM URL: http://comzeradd.fedorapeople.org/ninja-ide-2.1.1-1.src.rpm
Description: NINJA-IDE (from the recursive acronym: "Ninja-IDE Is Not Just Another IDE"), is a cross-platform integrated development environment (IDE). It's specially designed for Python Applications Development.
Fedora Account System Username: comzeradd

rpmlint ninja-ide-2.1.1-1.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Eduardo Echeverria 2012-10-08 15:10:55 EDT
Hi Nikos:
Initial Comments:
rpmlint -v ninja-ide*
ninja-ide.noarch: I: checking
ninja-ide.noarch: I: checking-url http://www.ninja-ide.org/ (timeout 10 seconds)
ninja-ide.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ninja_ide/dependencies/pep8mod.py 0644L /usr/bin/env
ninja-ide.noarch: W: no-manual-page-for-binary ninja-ide
ninja-ide.src: I: checking
ninja-ide.src: I: checking-url http://www.ninja-ide.org/ (timeout 10 seconds)
ninja-ide.src: I: checking-url https://github.com/downloads/ninja-ide/ninja-ide/ninja-ide-v2.1.1.zip (timeout 10 seconds)
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

- You could use
BuildRequires: python2-devel
http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

- Remove 
%defattr(-,root,root,-) is applicable only for EPEL5

the section %docs generally should be collocated after %files

- Add %check section
Require python-inotify for test (BuildRequires)

Best Regards
Comment 2 Eduardo Echeverria 2012-10-08 15:31:46 EDT
Created attachment 623684 [details]
Ninja IDE manpages

Available in http://manpages.ubuntu.com/manpages/precise/man1/ninja-ide.1.html
Comment 3 Eduardo Echeverria 2012-10-08 16:55:02 EDT
Release Tag: The initial value should normally be 1%{?dist}
Comment 4 Nikos Roussos 2012-10-09 05:33:23 EDT
Thanks for taking this

I think I fixed all errors
updated spec: http://comzeradd.fedorapeople.org/ninja-ide.spec
SRPM: http://comzeradd.fedorapeople.org/ninja-ide-2.1.1-2.fc17.src.rpm
Comment 5 Eduardo Echeverria 2012-10-09 14:28:43 EDT
Hi Nikos
There are still some issues:

Spec file as given by url is not the same as in SRPM

Diff spec file in url and in SRPM
---------------------------------
--- /home/makerpm/ninja-ide/863983-ninja-ide/srpm/ninja-ide.spec	2012-10$
+++ /home/makerpm/ninja-ide/863983-ninja-ide/srpm-unpacked/ninja-ide.spec      $
@@ -14,5 +14,5 @@
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-BuildRequires:  python-inotify
+#BuildRequires:  python-inotify
 BuildRequires:  PyQt4-devel
 Requires:	 PyQt4
---------------------------------------------------------------------------
In koji:
warning: File listed twice: /usr/lib/python2.7/site-packages/ninja_ide/dependencies/pep8mod.py

Best Regards
Comment 6 Nikos Roussos 2012-10-09 15:11:33 EDT
Sorry about. SRPM should be ok now.

The warning about pep8mod.py I think it's inevitable, since I package the full ninja_ide path:
%{python_sitelib}/ninja_ide/
and then use %attr to corrent wrong permissions in a specific file inside it:
%attr(755,root,root) %{python_sitelib}/ninja_ide/dependencies/pep8mod.py
Comment 7 Eduardo Echeverria 2012-10-09 16:02:47 EDT
You can use in %install:
find %{buildroot} -name 'pep8mod.py' | xargs chmod 0755
and remove
%attr(755,root,root) %{python_sitelib}/ninja_ide/dependencies/pep8mod.py
Comment 8 Nikos Roussos 2012-10-10 08:30:37 EDT
Nice tip! Thanks

updated files:
spec: http://comzeradd.fedorapeople.org/ninja-ide.spec
SRPM: http://comzeradd.fedorapeople.org/ninja-ide-2.1.1-3.fc17.src.rpm
Comment 9 Eduardo Echeverria 2012-10-10 23:48:33 EDT
Koji Build Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4580364
Koji Build F18
http://koji.fedoraproject.org/koji/taskinfo?taskID=4580373
Koji Build F17
http://koji.fedoraproject.org/koji/taskinfo?taskID=4580380
Koji Build F16
http://koji.fedoraproject.org/koji/taskinfo?taskID=4580387

rpmlint -v ninja-ide*
ninja-ide.noarch: I: checking
ninja-ide.noarch: I: checking-url http://www.ninja-ide.org/ (timeout 10 seconds)
ninja-ide.src: I: checking
ninja-ide.src: I: checking-url http://www.ninja-ide.org/ (timeout 10 seconds)
ninja-ide.src: I: checking-url https://github.com/downloads/ninja-ide/ninja-ide/ninja-ide-v2.1.1.zip (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -v ninja-ide.spec 
ninja-ide.spec: I: checking-url https://github.com/downloads/ninja-ide/ninja-ide/ninja-ide-v2.1.1.zip (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.



Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "*No copyright* LGPL (v3 or later)", "Unknown or
     generated", "*No copyright* GPL". 4 files have unknown license. Detailed
     output of licensecheck in /home/makerpm/863983-ninja-ide/licensecheck.txt
The License is GPLv3
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (ninja-ide-v2.1.1.zip)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ninja-ide-2.1.1-3.fc17.src.rpm
          ninja-ide-2.1.1-3.fc17.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ninja-ide
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ninja-ide-2.1.1-3.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    /usr/bin/python  
    PyQt4  
    python(abi) = 2.7
    python-inotify  



Provides
--------
ninja-ide-2.1.1-3.fc17.noarch.rpm:
    
    ninja-ide = 2.1.1-3.fc17



MD5-sum check
-------------
https://github.com/downloads/ninja-ide/ninja-ide/ninja-ide-v2.1.1.zip :
  CHECKSUM(SHA256) this package     : ab6ffc138647c98742dcfe3c97b1074325f31b67f6e5b0d6518a4fca3fd1721f
  CHECKSUM(SHA256) upstream package : ab6ffc138647c98742dcfe3c97b1074325f31b67f6e5b0d6518a4fca3fd1721f

----------------

PACKAGE APPROVED

----------------
Comment 10 Nikos Roussos 2012-10-13 06:37:23 EDT
New Package SCM Request
=======================
Package Name: ninja-ide
Short Description: Ninja IDE for Python development
Owners: comzeradd echevemaster
Branches: f16 f17 f18
InitialCC: echevemaster
Comment 11 Gwyn Ciesla 2012-10-14 21:48:18 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-10-15 06:15:13 EDT
ninja-ide-2.1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ninja-ide-2.1.1-3.fc18
Comment 13 Fedora Update System 2012-10-15 06:33:51 EDT
ninja-ide-2.1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ninja-ide-2.1.1-3.fc17
Comment 14 Fedora Update System 2012-10-15 06:51:20 EDT
ninja-ide-2.1.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ninja-ide-2.1.1-3.fc16
Comment 15 Fedora Update System 2012-10-15 13:36:45 EDT
ninja-ide-2.1.1-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Nikos Roussos 2012-10-17 11:45:28 EDT
It seems that it needs python-setuptools as runtime dependency as well. I'm pushing a new update.
Comment 17 Fedora Update System 2012-10-17 12:21:51 EDT
ninja-ide-2.1.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ninja-ide-2.1.1-4.fc18
Comment 18 Fedora Update System 2012-10-17 12:44:47 EDT
ninja-ide-2.1.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ninja-ide-2.1.1-4.fc17
Comment 19 Fedora Update System 2012-10-17 15:58:18 EDT
ninja-ide-2.1.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ninja-ide-2.1.1-4.fc16

Note You need to log in before you can comment on or make changes to this bug.